tbb::interface6::memory_pool_allocator< void, P > Class Template Reference
Memory Allocation

Analogous to std::allocator<void>, as defined in ISO C++ Standard, Section 20.4.1. More...

`#include <memory_pool.h>`

Collaboration diagram for tbb::interface6::memory_pool_allocator< void, P >:

## Classes

struct | rebind

## Public Types

typedef P | pool_type
typedef void * | pointer
typedef void | value_type

## Public Member Functions

| memory_pool_allocator (pool_type &pool) throw ()
| memory_pool_allocator (const memory_pool_allocator &src) throw ()
template<typename U >
| memory_pool_allocator (const memory_pool_allocator< U, P > &src) throw ()

## Public Attributes

const typedef void * | const_pointer

## Protected Attributes

pool_type * | my_pool

## Friends

template<typename U , typename R >
class | memory_pool_allocator
template<typename V , typename U , typename R >
bool | operator== (const memory_pool_allocator< V, R > &a, const memory_pool_allocator< U, R > &b)
template<typename V , typename U , typename R >
bool | operator!= (const memory_pool_allocator< V, R > &a, const memory_pool_allocator< U, R > &b)

## Detailed Description

### template<typename P>
class tbb::interface6::memory_pool_allocator< void, P >

Analogous to std::allocator<void>, as defined in ISO C++ Standard, Section 20.4.1.

Definition at line 154 of file memory_pool.h.

## Member Typedef Documentation

## pointer

template<typename P >

typedef void* tbb::interface6::memory_pool_allocator< void, P >::pointer

Definition at line 157 of file memory_pool.h.

## pool_type

template<typename P >

typedef P tbb::interface6::memory_pool_allocator< void, P >::pool_type

Definition at line 156 of file memory_pool.h.

## value_type

template<typename P >

typedef void tbb::interface6::memory_pool_allocator< void, P >::value_type

Definition at line 159 of file memory_pool.h.

## Constructor & Destructor Documentation

## memory_pool_allocator() [1/3]

template<typename P >

tbb::interface6::memory_pool_allocator< void, P >::memory_pool_allocator | ( | pool_type & | pool | ) |
throw | ( |
| ) |  |

inline explicit

Definition at line 164 of file memory_pool.h.

: my_pool(&pool) {}

## memory_pool_allocator() [2/3]

template<typename P >

tbb::interface6::memory_pool_allocator< void, P >::memory_pool_allocator | ( | const memory_pool_allocator< void, P > & | src | ) |
throw | ( |
| ) |  |

inline

Definition at line 165 of file memory_pool.h.

: my_pool(src.my_pool) {}

## memory_pool_allocator() [3/3]

template<typename P >
template<typename U >

tbb::interface6::memory_pool_allocator< void, P >::memory_pool_allocator | ( | const memory_pool_allocator< U, P > & | src | ) |
throw | ( |
| ) |  |

inline

Definition at line 167 of file memory_pool.h.

: my_pool(src.my_pool) {}

## Friends And Related Function Documentation

## memory_pool_allocator

template<typename P >
template<typename U , typename R >

friend class memory_pool_allocator

friend

Definition at line 172 of file memory_pool.h.

## operator!=

template<typename P >
template<typename V , typename U , typename R >

bool operator!= | ( | const memory_pool_allocator< V, R > & | a,
|  | const memory_pool_allocator< U, R > & | b
| ) |  |

friend

## operator==

template<typename P >
template<typename V , typename U , typename R >

bool operator== | ( | const memory_pool_allocator< V, R > & | a,
|  | const memory_pool_allocator< U, R > & | b
| ) |  |

friend

## Member Data Documentation

## const_pointer

template<typename P >

const typedef void* tbb::interface6::memory_pool_allocator< void, P >::const_pointer

Definition at line 158 of file memory_pool.h.

## my_pool

template<typename P >

pool_type* tbb::interface6::memory_pool_allocator< void, P >::my_pool

protected

Definition at line 170 of file memory_pool.h.

The documentation for this class was generated from the following file:

- memory_pool.h

tbb::interface6::memory_pool_allocator< void, P >::my_pool
pool_type * my_pool
Definition: memory_pool.h:170

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.